Iniciar verificação de telefones em lote
curl --request POST \
--url https://api.notifique.dev/v1/validations/phone/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phones": [
"+5511999999999",
"+5511888888888",
"+5511777777777"
],
"mode": "full"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phones: ['+5511999999999', '+5511888888888', '+5511777777777'], mode: 'full'})
};
fetch('https://api.notifique.dev/v1/validations/phone/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/validations/phone/batch"
payload = {
"phones": ["+5511999999999", "+5511888888888", "+5511777777777"],
"mode": "full"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/validations/phone/batch"
payload := strings.NewReader("{\n \"phones\": [\n \"+5511999999999\",\n \"+5511888888888\",\n \"+5511777777777\"\n ],\n \"mode\": \"full\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"job_id": "job_phone_xyz789",
"status": "queued",
"total": 500,
"mode": "full"
}
}Validação (API)
Iniciar verificação de telefones em lote
Mínimo 500 e máximo 10.000 números. Processamento em background — consulte com GET /v1/validations/phone/batch/{jobId}.
POST
/
v1
/
validations
/
phone
/
batch
Iniciar verificação de telefones em lote
curl --request POST \
--url https://api.notifique.dev/v1/validations/phone/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phones": [
"+5511999999999",
"+5511888888888",
"+5511777777777"
],
"mode": "full"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phones: ['+5511999999999', '+5511888888888', '+5511777777777'], mode: 'full'})
};
fetch('https://api.notifique.dev/v1/validations/phone/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/validations/phone/batch"
payload = {
"phones": ["+5511999999999", "+5511888888888", "+5511777777777"],
"mode": "full"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/validations/phone/batch"
payload := strings.NewReader("{\n \"phones\": [\n \"+5511999999999\",\n \"+5511888888888\",\n \"+5511777777777\"\n ],\n \"mode\": \"full\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"job_id": "job_phone_xyz789",
"status": "queued",
"total": 500,
"mode": "full"
}
}Autorizações
ntfValBearerAuthntfValApiKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
Esta página foi útil?

